LibreOffice LibreOffice 6.2 SDK API Reference

Public Member Functions | List of all members
XCloneable Interface Referencepublished

makes it possible to create a copy of the object which supports this interface. More...

`import"XCloneable.idl";`

Inheritance diagram for XCloneable:

## Public Member Functions
com::sun::star::util::XCloneable | createClone ()
| creates a copy of the object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to create a copy of the object which supports this interface.

## Member Function Documentation

## ◆ createClone()

com::sun::star::util::XCloneable createClone | ( |  | ) |

creates a copy of the object.

The documentation for this interface was generated from the following file:

- com/sun/star/util/XCloneable.idl